package com.njzscloud.common.core.mitt;

public interface MittEvent<T> {
    default void emit(T t) {
        Mitt.emit(this, t);
    }

    default void on(MittHandler<T> handlerIns) {
        Mitt.on(this, handlerIns);
    }

    void event();
}
